#!/bin/sh
# Send LGRP Control Messages
if [ -e $1 ] || [ -e $2 ]
then
	echo "USAGE : rpcon.sh [Command] [Service Name]"
	echo "[Command] : -start, -stop, -reset, -final, -debg_info, -debg_warn, -debg_spot, -debg_erro, -debg_none" 
	echo "Example :"
	echo "rpcon.sh -debg_none /Motion -> Motion Service Debug Level Set to none"
	echo "rpcon.sh -debg_info -all -> All Services Debug Level Set to INFO"
	echo "rpcon.sh -final /Motion -> Motion Service Finalization Request"
else
	rpmain.axf /vision /usr/rcfg/config.xml "$1" "$2"
fi
