WIFI_DEVICE_NAME="ra0"

if [[ `ifconfig -a|grep ra0` == "" ]]
then
	if [[ `ifconfig -a|grep wlan0` == "" ]]
	then
		echo "Can't find wifi dongle"
		exit 1
	else
		echo "Find wlan0"
		WIFI_DEVICE_NAME="wlan0"
	fi
else
	echo "Find ra0"
fi

ifconfig "$WIFI_DEVICE_NAME" up
iwconfig "$WIFI_DEVICE_NAME" essid "RK_NETJIG"
udhcpc -i "$WIFI_DEVICE_NAME" -n -t 5 -q
