#!/bin/sh
# Sample WPS start for rt3070
echo "*****************************************WPS START**********************************"
iwpriv ra0 set SSID=""
iwpriv ra0 wsc_conf_mode 1
iwpriv ra0 wsc_mode 2
iwpriv ra0 wsc_ap_band 0
#iwpriv ra0 wsc_conn_by_idx 0
iwpriv ra0 wsc_start
sleep 5
nCount=0
for ((nCount=0;nCount<150;nCount++))
do
	iwpriv ra0 connStatus|grep Connected > /dev/null
	cur_state=$?
	if [ "$cur_state" == 0 ] && [ "$prev_state" != 0 ]
	then
		echo "AP Connected!!"
		sed -r -i s/SSID=.*/SSID=`iwpriv ra0 show SSID|busybox awk '{print $3}'`/ /usr/etc/Wireless/RT2870STA/RT2870STA.dat
		
		amixer sset "Speaker Playback Off" "Stereo"
		aplay -c 1 -r 16000 -f S16_LE /usr/SNDDATA/SND_NETWORK_ONETOUCH_SUCCESS.snd
		amixer sset "Speaker Playback Off" "All off"
		
		touch /usr/tmp/APCONN
		exit 0
	fi
	prev_state=$cur_state
	sleep 1
done

echo "WPS FAILED!!"

amixer sset "Speaker Playback Off" "Stereo"
aplay -c 1 -r 16000 -f S16_LE /usr/SNDDATA/SND_NETWORK_ONETOUCH_FAILURE.snd
amixer sset "Speaker Playback Off" "All off"
