#!/bin/sh
#AP CONNECTION CHECK MODULE

(
echo "autoconn AP Connecting Module Start!!!" #>> /usr/etc/autoconn.log
echo "`date`" #>> /usr/etc/autoconn.log
count=0
ifconfig 2>&1| grep 'inet addr'|busybox awk -F: '{print $2}'|busybox awk '{print $1}' > /usr/tmp/cur_ip.dat
cur_ip=`cat /usr/tmp/cur_ip.dat`
prev_ip=$cur_ip
while [ true ]
do
		ifconfig 2>&1| grep 'inet addr'|busybox awk -F: '{print $2}'|busybox awk '{print $1}' > /usr/tmp/cur_ip.dat
		cur_ip=`cat /usr/tmp/cur_ip.dat`
		echo "cur_ip ... $cur_ip" #>> /usr/etc/autoconn.log
        iwpriv ra0 connStatus|grep Connected > /dev/null
        cur_state=$?
		echo "cur_state ... $cur_state" #>> /usr/etc/autoconn.log
		
		if [[ -e /usr/tmp/APCONN ]]
		then
			echo "AP Connecting ... /usr/tmp/APCONN" #>> /usr/etc/autoconn.log
			count=0
			if [[ "$cur_state" != 0 ]]
			then
		                echo "AP Disconnected ... cur_state = $cur_state" #>> /usr/etc/autoconn.log
		                rm -rf /usr/tmp/APCONN
						rm -rf /usr/tmp/DHCPDONE
		                rm -rf /usr/tmp/ssid.dat
		                rm -rf /usr/tmp/ip.dat	
				#killall /usr/rk4/MCServer.axf
				#/usr/rk4/rk4_sound.axf /usr/SNDDATA/POWER_OFF.snd
			elif [[ -e /usr/tmp/ip.dat && ( $cur_ip != `cat /usr/tmp/ip.dat` )]]
			then
				echo "IP CHANGED ... $cur_ip != `cat /usr/tmp/ip.dat`" #>> /usr/etc/autoconn.log
		                rm -rf /usr/tmp/APCONN
						rm -rf /usr/tmp/DHCPDONE
		                rm -rf /usr/tmp/ssid.dat
		                rm -rf /usr/tmp/ip.dat
				#killall /usr/rk4/MCServer.axf
			fi
			sleep 5
		else
			echo "AP Waiting...$count" #>> /usr/etc/autoconn.log
			count=$((count+1))
			echo "count ... $count"
			if [[ "$count" -gt 60 ]]
			then
				count=0
				iwpriv ra0 radio_off
				iwpriv ra0 radio_on
			fi
			if [[ "$cur_state" == 0 ]]
			then
                	echo "AP Connected!!" #>> /usr/etc/autoconn.log
                	touch /usr/tmp/APCONN
			touch /usr/tmp/DHCPREQ
                	iwconfig 2>&1|grep 'ESSID'|busybox awk '{print $4}'|busybox awk -F: '{print $2}'|sed 's/"//g' > /usr/tmp/ssid.dat&
			#/usr/rk4/rk4_sound.axf /usr/SNDDATA/POWER_ON.snd
			fi
			
			
			sleep 1
		fi
		prev_ip=$cur_ip
done
)&


#AUTO DHCP MODULE

(
while [ true ]
do
	echo "DHCP : AP Waiting..." #>> /usr/etc/autoconn.log
        if [ -e /usr/tmp/DHCPREQ ]
        then
                udhcpc -i ra0 -n -t 1 -q
                cur_state=$?
                if [ "$cur_state" == 0 ]
                then
                        echo "UDHCP COMPLETE" #>> /usr/etc/autoconn.log
                        rm -rf /usr/tmp/DHCPREQ
                        touch /usr/tmp/DHCPDONE
                        ifconfig 2>&1| grep 'inet addr'|busybox awk -F: '{print $2}'|busybox awk '{print $1}' > /usr/tmp/ip.dat &
                        #/usr/rk4/rk4_sound.axf /usr/SNDDATA/TTS_APCONNECTED.snd
                       	# killall /usr/rk4/MCServer.axf
                else
                        echo "UDHCP TRYING..." #>> /usr/etc/autoconn.log
                fi
        fi
        sleep 5
done
)&
